## GtkEventControllerKey GtkEventControllerKey |

## Functions

GtkEventController * | gtk_event_controller_key_new ()

## Signals

void | focus-in | Run Last
void | focus-out | Run Last
void | im-update | Run Last
gboolean | key-pressed | Run Last
void | key-released | Run Last
gboolean | modifiers | Run Last

## Types and Values

| GtkEventControllerKey

## Object Hierarchy

        GObject
        ╰── GtkEventController
            ╰── GtkEventControllerKey

## Includes

    #include <gtk/gtkunixprint.h>

## Description

## Functions

### gtk_event_controller_key_new ()

    GtkEventController *
    gtk_event_controller_key_new (GtkWidget *widget);

## Types and Values

### GtkEventControllerKey

    typedef struct _GtkEventControllerKey GtkEventControllerKey;

## Signal Details

### The `“focus-in”` signal

    void
    user_function (GtkEventControllerKey *eventcontrollerkey,
                   gpointer               user_data)

Flags: Run Last

### The `“focus-out”` signal

    void
    user_function (GtkEventControllerKey *eventcontrollerkey,
                   gpointer               user_data)

Flags: Run Last

### The `“im-update”` signal

    void
    user_function (GtkEventControllerKey *eventcontrollerkey,
                   gpointer               user_data)

Flags: Run Last

### The `“key-pressed”` signal

    gboolean
    user_function (GtkEventControllerKey *eventcontrollerkey,
                   guint                  arg1,
                   guint                  arg2,
                   GdkModifierType        arg3,
                   gpointer               user_data)

Flags: Run Last

### The `“key-released”` signal

    void
    user_function (GtkEventControllerKey *eventcontrollerkey,
                   guint                  arg1,
                   guint                  arg2,
                   GdkModifierType        arg3,
                   gpointer               user_data)

Flags: Run Last

### The `“modifiers”` signal

    gboolean
    user_function (GtkEventControllerKey *eventcontrollerkey,
                   GdkModifierType        arg1,
                   gpointer               user_data)

Flags: Run Last